Usages - List
Gets the current usage information as well as limits for AML resources for given subscription and location.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.MachineLearningServices/locations/{location}/usages?api-version=2025-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string pattern: ^[-\w\._]+$ |
The location for which resource usage is queried. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error response describing why the operation failed |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List Usages
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.MachineLearningServices/locations/eastus/usages?api-version=2025-09-01
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages",
"type": "Microsoft.MachineLearningServices/totalCores/usages",
"currentValue": 7,
"limit": 100,
"name": {
"localizedValue": "Clusters",
"value": "Clusters"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages",
"type": "Microsoft.MachineLearningServices/dedicatedCores/usages",
"currentValue": 14,
"limit": 24,
"name": {
"localizedValue": "Total Cluster Dedicated Regional vCPUs",
"value": "Total Cluster Dedicated Regional vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_D_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": 48,
"name": {
"localizedValue": "Standard D Family Cluster Dedicated vCPUs",
"value": "Standard D Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_DSv2_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 2,
"limit": 24,
"name": {
"value": "Standard DSv2 Family Cluster Dedicated vCPUs",
"localizedValue": "Standard DSv2 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace1/usages/Standard_DSv2_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/workspaces/usages",
"currentValue": 2,
"limit": 24,
"name": {
"value": "Standard DSv2 Family Cluster Dedicated vCPUs",
"localizedValue": "Standard DSv2 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace1/computes/demo_cluster1_dsv2/usages/Standard_DSv2_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/workspaces/computes/usages",
"currentValue": 2,
"limit": 24,
"name": {
"value": "Standard DSv2 Family Cluster Dedicated vCPUs",
"localizedValue": "Standard DSv2 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace1/computes/demo_cluster2_dsv2/usages/Standard_DSv2_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/workspaces/computes/usages",
"currentValue": 0,
"limit": 24,
"name": {
"value": "Standard DSv2 Family Cluster Dedicated vCPUs",
"localizedValue": "Standard DSv2 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_Dv2_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": 24,
"name": {
"localizedValue": "Standard Dv2 Family Cluster Dedicated vCPUs",
"value": "Standard Dv2 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_FSv2_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": 24,
"name": {
"value": "Standard FSv2 Family Cluster Dedicated vCPUs",
"localizedValue": "Standard FSv2 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NC_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 12,
"limit": 24,
"name": {
"localizedValue": "Standard NC Family Cluster Dedicated vCPUs",
"value": "Standard NC Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace1/usages/Standard_NC_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/workspace/usages",
"currentValue": 6,
"limit": 24,
"name": {
"localizedValue": "Standard NC Family Cluster Dedicated vCPUs",
"value": "Standard NC Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace1/computes/demo_cluster1_nc/usages/Standard_NC_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/workspace/computes/usages",
"currentValue": 6,
"limit": 24,
"name": {
"localizedValue": "Standard NC Family Cluster Dedicated vCPUs",
"value": "Standard NC Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace2/usages/Standard_NC_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/workspaces/usages",
"currentValue": 6,
"limit": 24,
"name": {
"value": "Standard NC Family Cluster Dedicated vCPUs",
"localizedValue": "Standard NC Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace2/computes/demo_cluser1_nc/usages/Standard_NC_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/workspaces/computes/usages",
"currentValue": 6,
"limit": 24,
"name": {
"value": "Standard NC Family Cluster Dedicated vCPUs",
"localizedValue": "Standard NC Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NCv2_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": 0,
"name": {
"localizedValue": "Standard NCv2 Family Cluster Dedicated vCPUs",
"value": "Standard NCv2 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NCv3_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": 0,
"name": {
"localizedValue": "Standard NCv3 Family Cluster Dedicated vCPUs",
"value": "Standard NCv3 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_ND_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": 0,
"name": {
"localizedValue": "Standard ND Family Cluster Dedicated vCPUs",
"value": "Standard ND Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NDv2_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": 0,
"name": {
"value": "Standard NDv2 Family Cluster Dedicated vCPUs",
"localizedValue": "Standard NDv2 Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NV_Family_Cluster_Dedicated_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": 24,
"name": {
"localizedValue": "Standard NV Family Cluster Dedicated vCPUs",
"value": "Standard NV Family Cluster Dedicated vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages",
"type": "Microsoft.MachineLearningServices/lowPriorityCores/usages",
"currentValue": 18,
"limit": 50,
"name": {
"localizedValue": "Total Cluster LowPriority Regional vCPUs",
"value": "Total Cluster LowPriority Regional vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_D_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"value": "Standard D Family Cluster LowPriority vCPUs",
"localizedValue": "Standard D Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_DSv2_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"localizedValue": "Standard DSv2 Family Cluster LowPriority vCPUs",
"value": "Standard DSv2 Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_Dv2_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"localizedValue": "Standard Dv2 Family Cluster LowPriority vCPUs",
"value": "Standard Dv2 Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_FSv2_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"localizedValue": "Standard FSv2 Family Cluster LowPriority vCPUs",
"value": "Standard FSv2 Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NC_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 18,
"limit": -1,
"name": {
"localizedValue": "Standard NC Family Cluster LowPriority vCPUs",
"value": "Standard NC Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace1/usages/Standard_NC_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/workspace/usages",
"currentValue": 6,
"limit": -1,
"name": {
"localizedValue": "Standard NC Family Cluster LowPriority vCPUs",
"value": "Standard NC Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace1/computes/demo_cluster1_lowPriority_nc/usages/Standard_NC_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/workspace/computes/usages",
"currentValue": 6,
"limit": -1,
"name": {
"localizedValue": "Standard NC Family Cluster LowPriority vCPUs",
"value": "Standard NC Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace2/usages/Standard_NC_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/workspace/usages",
"currentValue": 12,
"limit": -1,
"name": {
"localizedValue": "Standard NC Family Cluster LowPriority vCPUs",
"value": "Standard NC Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace2/computes/demo_cluster2_lowPriority_nc/usages/Standard_NC_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/workspace/computes/usages",
"currentValue": 6,
"limit": -1,
"name": {
"localizedValue": "Standard NC Family Cluster LowPriority vCPUs",
"value": "Standard NC Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.MachineLearningServices/workspaces/demo_workspace2/computes/demo_cluster3_lowPriority_nc/usages/Standard_NC_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/workspace/computes/usages",
"currentValue": 6,
"limit": -1,
"name": {
"localizedValue": "Standard NC Family Cluster LowPriority vCPUs",
"value": "Standard NC Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NCv2_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"localizedValue": "Standard NCv2 Family Cluster LowPriority vCPUs",
"value": "Standard NCv2 Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NCv3_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"localizedValue": "Standard NCv3 Family Cluster LowPriority vCPUs",
"value": "Standard NCv3 Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_ND_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"localizedValue": "Standard ND Family Cluster LowPriority vCPUs",
"value": "Standard ND Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NDv2_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"localizedValue": "Standard NDv2 Family Cluster LowPriority vCPUs",
"value": "Standard NDv2 Family Cluster LowPriority vCPUs"
},
"unit": "Count"
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/usages/Standard_NV_Family_Cluster_LowPriority_vCPUs",
"type": "Microsoft.MachineLearningServices/vmFamily/usages",
"currentValue": 0,
"limit": -1,
"name": {
"localizedValue": "Standard NV Family Cluster LowPriority vCPUs",
"value": "Standard NV Family Cluster LowPriority vCPUs"
},
"unit": "Count"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
List |
The List Usages operation response. |
| Usage |
Describes AML Resource Usage. |
|
Usage |
The Usage Names. |
|
Usage |
An enum describing the unit of usage measurement. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ListUsagesResult
The List Usages operation response.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URI to fetch the next page of AML resource usage information. Call ListNext() with this to fetch the next page of AML resource usage information. |
| value |
Usage[] |
The list of AML resource usages. |
Usage
Describes AML Resource Usage.
| Name | Type | Description |
|---|---|---|
| amlWorkspaceLocation |
string |
Region of the AML workspace in the id. |
| currentValue |
integer (int64) |
The current usage of the resource. |
| id |
string |
Specifies the resource ID. |
| limit |
integer (int64) |
The maximum permitted usage of the resource. |
| name |
The name of the type of usage. |
|
| type |
string |
Specifies the resource type. |
| unit |
An enum describing the unit of usage measurement. |
UsageName
The Usage Names.
| Name | Type | Description |
|---|---|---|
| localizedValue |
string |
The localized name of the resource. |
| value |
string |
The name of the resource. |
UsageUnit
An enum describing the unit of usage measurement.
| Value | Description |
|---|---|
| Count |